package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.StatusUtuhTidak;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapIntegumenVO extends BaseTransactionVO {
	/**
	 * @author andri
	 */
	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	
	
	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@ManyToOne
	@JoinColumn(name = "ObjectWarnaKulitFk")
	@NotNull(message = "warnaKulit tidak boleh kosong")
	@Caption(value = "Object warnaKulit")
	private WarnaKulitVO warnaKulit;

	@ManyToOne
	@JoinColumn(name = "ObjectKelainanFk")
	@NotNull(message = "Kelainan tidak boleh kosong")
	@Caption(value = "Object Kelainan")
	private StatusAdaTidakAdaVO kelainan;
	
	@ManyToOne
	@JoinColumn(name = "ObjectResikoDekubitosFk")
	@NotNull(message = "ResikoDekubitos tidak boleh kosong")
	@Caption(value = "Object ResikoDekubitos")
	private StatusAdaTidakAdaVO resikoDekubitos;
	
	@ManyToOne
	@JoinColumn(name = "ObjectLukaFk")
	@NotNull(message = "luka tidak boleh kosong")
	@Caption(value = "Object luka")
	private StatusAdaTidakAdaVO luka;

	@Column(name = "isNormal", nullable = false)
	@Caption(value = "Is Normal")
	private Boolean isNormal;

	@ManyToOne
	@JoinColumn(name = "ObjectKeutuhanKulitFk")
	@Caption(value = "Object KeutuhanKulit")
	private StatusUtuhTidakVO keutuhanKulit;
	
	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public WarnaKulitVO getWarnaKulit() {
		return warnaKulit;
	}

	public void setWarnaKulit(WarnaKulitVO warnaKulit) {
		this.warnaKulit = warnaKulit;
	}

	public StatusAdaTidakAdaVO getKelainan() {
		return kelainan;
	}

	public void setKelainan(StatusAdaTidakAdaVO kelainan) {
		this.kelainan = kelainan;
	}

	public StatusAdaTidakAdaVO getResikoDekubitos() {
		return resikoDekubitos;
	}

	public void setResikoDekubitos(StatusAdaTidakAdaVO resikoDekubitos) {
		this.resikoDekubitos = resikoDekubitos;
	}

	public StatusAdaTidakAdaVO getLuka() {
		return luka;
	}

	public void setLuka(StatusAdaTidakAdaVO luka) {
		this.luka = luka;
	}

	public Boolean getIsNormal() {
		return isNormal;
	}

	public void setIsNormal(Boolean isNormal) {
		this.isNormal = isNormal;
	}

	public StatusUtuhTidakVO getKeutuhanKulit() {
		return keutuhanKulit;
	}

	public void setKeutuhanKulit(StatusUtuhTidakVO keutuhanKulit) {
		this.keutuhanKulit = keutuhanKulit;
	}
	
}
